routes/web.php
Route::get('botan/users/roles', 'UserRolesController@getAllUsersRoles')->name('usersRoles');
Route::get('botan/create/user', 'UserRolesController@createUserView' )->name('create.user');
Route::post('botan/create/user', 'UserRolesController@createUser');
Route::get('botan/delete/user/{user_id}', 'UserRolesController@deleteUser')->name('delete.user');

Route::get('botan/questions/get', 'QuestionsAnswersController@getAllQuestionsAndAnswers')->name('questionsAnswers');
Route::post('botan/answer/get', 'BotanStaffController@getAnswer');
Route::get('botan/category/questions/get', 'BotanStaffController@getCategoryQuestions');
Route::get('botan/staff/get', 'BotanDialogHistoriesController@showStaff')->name('showStaff');
Route::get('botan/staff/prelogin', 'BotanTelegramUsersController@prelogin')->name('prelogin');
Route::get('botan/test', 'BotanCodesController@test')->name('test');
Route::get('botan/events', 'HomeController@getEventCalendar')->name('events');
Route::get('botan/api/events/get', 'BotanStaffController@getEvents');
Route::post('botan/events/save', 'HomeController@saveEvent')->name('saveEvent');
Route::post('botan/events/delete', 'HomeController@deleteEvent')->name('deleteEvent');
Route::get('botan/events/edit/{eventId}', 'HomeController@editEvent')->name('editEvent');
Route::get('botan/products', 'ProductsController@getProducts')->name('getProducts');
Route::get('botan/products/edit/{productsId}', 'ProductsController@editProduct')->name('editProduct');
Route::post('botan/products/save', 'ProductsController@saveProduct')->name('saveProduct');
Route::get('botan/products/delete/{productsId}', 'ProductsController@deleteProduct')->name('deleteProduct');
Route::get('botan/api/products/view/{productId}', 'BotanApiController@viewProduct')->name('viewProduct');
Route::get('botan/api/products', 'BotanApiController@getProducts');
Route::get('botan/schedule', 'BotanApiController@schedule');

Route::get('botan/feedback', 'FeedbackController@index')->name('feedback');
Route::get('botan/feedback/{feedback}/download/file', 'HomeController@downloadFeedbackFile')->name('feedback.download.file');


Route::get('botan/templates', 'TemplateController@index')->name('templates');
Route::get('botan/templates/category/add', 'TemplateController@addCategory')->name('templates.category.add');
Route::post('botan/templates/category/add', 'TemplateController@saveCategory')->name('templates.category.save');
Route::get('botan/templates/{category}', 'TemplateController@getTemplatesByCategory')->name('templates.category.get');
Route::get('botan/templates/delete/{category}', 'TemplateController@deleteCategory')->name('templates.category.delete');
Route::get('botan/template/add', 'TemplateController@addTemplate')->name('templates.add');
Route::post('botan/template/add', 'TemplateController@saveTemplate')->name('templates.save');
Route::get('botan/template/edit/{template}', 'TemplateController@editTemplate')->name('templates.edit');
Route::get('botan/template/delete/{template}', 'TemplateController@deleteTemplate')->name('templates.delete');
Route::post('botan/template/edit/{template}', 'TemplateController@saveEditedTemplate')->name('templates.saveEdited');
Route::get('botan/template/deleteFile/{template}', 'TemplateController@deleteTemplateFile')->name('templates.deleteFile');
Route::get('botan/template/download/{template}', 'TemplateController@downloadFile')->name('templates.download');
Route::get('botan/template/send/{template}', 'TemplateController@sendTemplateView')->name('templates.sendView');
Route::post('botan/template/send/{template}', 'TemplateController@sendTemplate')->name('templates.send');

Route::get('/botan/group/list', 'GroupController@index')->name('group');
Route::get('/botan/group/add', 'GroupController@addView')->name('group.add');
Route::post('/botan/group/add', 'GroupController@add');
Route::get('/botan/group/edit/{group}', 'GroupController@editView');
Route::post('/botan/group/edit/{group}', 'GroupController@edit');
Route::get('/botan/group/delete/{group}', 'GroupController@delete');

Route::get('/botan/recruiting/getVacancy', 'RecruitingController@getVacancy')->name('getVacancy');
Route::get('/botan/recruiting/createVacancy', 'RecruitingController@createVacancyView')->name('createVacancyView');
Route::post('/botan/recruiting/createVacancy', 'RecruitingController@createVacancy')->name('createVacancy');
Route::get('/botan/recruiting/vacancy/{id}/delete', 'RecruitingController@deleteVacancy')->name('deleteVacancy');
Route::get('/botan/recruiting/vacancy/{id}/edit', 'RecruitingController@editVacancyView' )->name('editVacancyView');
Route::post('/botan/recruiting/vacancy/{id}/edit', 'RecruitingController@editVacancy')->name('editVacancy');
Route::post('/botan/recruiting/vacancy/import-excel', 'RecruitingController@importVacancyExcel')->name('importVacancyExcel');

Route::get('booking/building', 'BookingController@buildingList')->name('booking.building');
Route::get('booking/building/add', 'BookingController@buildingAddView')->name('booking.building.add');
Route::post('booking/building/add', 'BookingController@buildingAdd');
Route::get('booking/building/edit/{building}', 'BookingController@buildingEditView')->name('booking.building.edit');
Route::post('booking/building/edit/{building}', 'BookingController@buildingEdit');
Route::get('booking/building/delete/{building}', 'BookingController@buildingDelete')->name('booking.building.delete');

Route::get('booking/room/{building}', 'BookingController@roomList')->name('booking.room');
Route::get('booking/room/add/{building}', 'BookingController@roomAddView')->name('booking.room.add');
Route::post('booking/room/add/{building}', 'BookingController@roomAdd');
Route::get('booking/room/edit/{room}/{building}', 'BookingController@roomEditView')->name('booking.room.edit');
Route::post('booking/room/edit/{room}/{building}', 'BookingController@roomEdit');
Route::get('booking/room/delete/{room}/{building}', 'BookingController@roomDelete')->name('booking.room.delete');

Route::middleware(['auth'])->namespace('Backend')->group(function () {
    Route::get('botan/send-messages', 'SettingController@sendMessagesFormView')->name('sendMessagesForm');
    Route::get('botan/send-cent-messages', 'SettingController@sendCentMessagesFormView')->name('sendCentMessagesForm');
    Route::get('botan/send-quiz-messages', 'SettingController@sendQuizMessagesFormView')->name('sendQuizMessagesForm');
});
Route::middleware(['auth'])->prefix('admin')->namespace('Backend')->name('admin.')->group(function () {
    Route::get('/', 'DashboardController@index')->name('index');
    Route::get('/setting', 'SettingController@index')->name('setting.index');
    Route::post('/setting/store', 'SettingController@store')->name('setting.store');
    Route::post('/setting/setwebhook', 'SettingController@setwebhook')->name('setting.setwebhook');
    Route::post('/setting/getwebhookinfo', 'SettingController@getwebhookinfo')->name('setting.getwebhookinfo');
    Route::post('/setting/sendNotifications', 'SettingController@sendNotifications')->name('setting.sendNotifications');
    Route::post('/setting/sendCentNotifications', 'SettingController@sendCentNotifications')->name('setting.sendCentNotifications');
    Route::post('/setting/sendQuiz', 'SettingController@sendQuiz')->name('setting.sendQuiz');
    Route::post('/setting/uploadPrizes', 'SettingController@uploadPrizes')->name('setting.uploadPrizes');
    Route::get('/setting/cent/products/update', 'SettingController@updateCentProducts')->name('update.cent.products');
    Route::get('/setting/logs', 'SettingController@logs')->name('logs');
    Route::get('/setting/log/{path}', 'SettingController@read')->name('read.log');
    Route::post('/setting/add-user-info', 'SettingController@addUsersInfo')->name('addUsersInfo');
});

Route::post(Telegram::getAccessToken(), 'TelegramHandlerController@index')->name('setting.store');
Route::get('/test/limit', function() {
//    \App\Telegram\LimitsCommand::executeCommand(  '316204431', 'К0025626');
//    \App\Telegram\LimitsCommand::$token();
});
Auth::routes();
Route::post('/updateStaff', 'StaffController@updateStaff');
Route::post('/updateStaffSOSMA', 'StaffController@updateStaffSOSMA');
Route::get('/logout', 'HomeController@logout')->name('logout');
Route::view('/phpini', 'phpini');

Route::get('/export/users', 'ExportController@getNewUsersView')->name('export.newusers.view');
Route::post('/export/users', 'ExportController@exportNewUsers')->name('export.newusers');

Route::get('/export/centcoins', 'ExportController@exportCentcoins')->name('export.centcoins');

Route::get('/export/clinics', 'ExportController@getClinicsView')->name('export.clinics.view');
Route::post('/export/clinics', 'ExportController@exportClinics')->name('export.clinics');
Route::get('/export/reactions', 'ExportController@getReactionsView')->name('export.reactions.view');
Route::post('/export/get_reactions', 'ExportController@getReactionsForExport')->name('export.get.reactions');
Route::post('/export/reactions', 'ExportController@exportReaction')->name('export.reaction');

//Route::get('/home', 'HomeController@index')->name('home');
Route::get('/report/userlist', 'DataLakeController@getUsers');
Route::get('/report/activity', 'DataLakeController@getUserActivity');
Route::get('/report/reaction', 'DataLakeController@getUserReactions');
Route::get('/report/problem', 'DataLakeController@getProblemReport');
Route::get('/report/booking', 'DataLakeController@getBookingReport');
Route::get('/report/doctor', 'DataLakeController@getDoctorReport');

Route::get('/change/{company}', 'Backend\SettingController@changeCompanyVVP');
Route::get('/test', 'StaffController@getVacation');

Route::post('/botan/send-messages/type','Backend\SettingController@sendTypeOfMessage')->name('message.type');
Route::post('/api/send-reconciliation', 'NotificationController@storeAndSend');
Route::get('/admin/command', 'CommandController@command')->name('admin.command');

app/Http/Controllers/Backend/DashboardController.php
<?php

namespace App\Http\Controllers\Backend;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DashboardController extends Controller
{
    public function index() {
        return view('backend.index');
    }
}

resources/views/backend/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
<div id="app">
    <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
        <div class="container">
            <a class="navbar-brand" href="{{ url('/') }}">
                {{ config('app.name', 'Laravel') }}
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="{{ __('Toggle navigation') }}">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav mr-auto">
                    <li><a href="{{route('admin.index')}}">Панель состояния</a></li>
                    <li><a href="{{route('admin.setting.index')}}">Настройки</a></li>
                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav ml-auto">
                    <!-- Authentication Links -->
                    @guest
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                        </li>
                    @else
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                {{ Auth::user()->name }} <span class="caret"></span>
                            </a>

                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    {{ __('Logout') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                      style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    @endguest
                </ul>
            </div>
        </div>
    </nav>

    <main class="py-4">
        @yield('content')
    </main>
</div>
</body>
</html>